using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

/// <summary>
/// Summary description for Class_tblDetails
/// </summary>
public class Class_tblDetails
{
    private Decimal Dec_TamirID = 0;
    private String Str_Note = String.Empty;
    private float flt_TotalCost = 0;

    public Class_tblDetails(Decimal _TamirID, String _Note, float _TotalCost)
	{
        this.Dec_TamirID = _TamirID;
        this.Str_Note = _Note;
        this.flt_TotalCost = _TotalCost;
	}

    public void UDF_Save()
    {
        LSCTamiratDataContext db = new LSCTamiratDataContext();
        tblDetail Detls = new tblDetail();
        Detls.TamirID = Dec_TamirID;
        Detls.DetailNote = Str_Note;
        Detls.TotalCost = flt_TotalCost;

        db.tblDetails.InsertOnSubmit(Detls);
        db.SubmitChanges();
    }
}